//
//  Values are 32 bit values laid out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +-+-+-+-+-+---------------------+-------------------------------+
//  |S|R|C|N|r|    Facility         |               Code            |
//  +-+-+-+-+-+---------------------+-------------------------------+
//
//  where
//
//      S - Severity - indicates success/fail
//
//          0 - Success
//          1 - Fail (COERROR)
//
//      R - reserved portion of the facility code, corresponds to NT's
//              second severity bit.
//
//      C - reserved portion of the facility code, corresponds to NT's
//              C field.
//
//      N - reserved portion of the facility code. Used to indicate a
//              mapped NT status value.
//
//      r - reserved portion of the facility code. Reserved for internal
//              use. Used to indicate HRESULT values that are not status
//              values, but are instead message ids for display strings.
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//
#define FACILITY_CP210X                  0x4


//
// Define the severity codes
//


//
// MessageId: CP210X_E_GLOBAL_DATA_ERROR
//
// MessageText:
//
// Global Data Error
//
#define CP210X_E_GLOBAL_DATA_ERROR       ((HRESULT)0x80040205L)

//
// MessageId: CP210X_E_FILE_ERROR
//
// MessageText:
//
// File Error
//
#define CP210X_E_FILE_ERROR              ((HRESULT)0x80040206L)

//
// MessageId: CP210X_E_COMMAND_FAILED
//
// MessageText:
//
// Command Failed
//
#define CP210X_E_COMMAND_FAILED          ((HRESULT)0x80040208L)

//
// MessageId: CP210X_E_INVALID_ACCESS_TYPE
//
// MessageText:
//
// Invalid Access Type
//
#define CP210X_E_INVALID_ACCESS_TYPE     ((HRESULT)0x80040209L)

//
// MessageId: CP210X_E_DEVICE_NOT_FOUND
//
// MessageText:
//
// Device Not Found
//
#define CP210X_E_DEVICE_NOT_FOUND        ((HRESULT)0x800402FFL)

